Package org.apache.sling.jcr.base.internal.mount

## Class ProxyQuery

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.query.Query>
  - - org.apache.sling.jcr.base.internal.mount.ProxyQuery

All Implemented Interfaces:
  `javax.jcr.query.Query`

Direct Known Subclasses:
  `ProxyQueryObjectModel`

    public class ProxyQuery
    extends ProxyWrapper<javax.jcr.query.Query>
    implements javax.jcr.query.Query

### Field Summary

### Fields inherited from interface javax.jcr.query.Query

`JCR_JQOM, JCR_SQL2, SQL, XPATH`

### Constructor Summary

Constructors
`ProxyQuery​(ProxySession<?> mountSession, javax.jcr.query.Query delegate, javax.jcr.query.Query delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bindValue​(String varName, javax.jcr.Value value)`
`javax.jcr.query.QueryResult` `execute()`
`String[]` `getBindVariableNames()`
`String` `getLanguage()`
`String` `getStatement()`
`String` `getStoredQueryPath()`
`void` `setLimit​(long limit)`
`void` `setOffset​(long offset)`
`javax.jcr.Node` `storeAsNode​(String absPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyQuery

    public ProxyQuery​(ProxySession<?> mountSession,
                      javax.jcr.query.Query delegate,
                      javax.jcr.query.Query delegate2)

### Method Detail

#### execute

    public javax.jcr.query.QueryResult execute()
                                        throws javax.jcr.query.InvalidQueryException,
                                               javax.jcr.RepositoryException

Specified by:
  `execute` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### setLimit

    public void setLimit​(long limit)

Specified by:
  `setLimit` in interface `javax.jcr.query.Query`

#### setOffset

    public void setOffset​(long offset)

Specified by:
  `setOffset` in interface `javax.jcr.query.Query`

#### getStatement

    public String getStatement()

Specified by:
  `getStatement` in interface `javax.jcr.query.Query`

#### getLanguage

    public String getLanguage()

Specified by:
  `getLanguage` in interface `javax.jcr.query.Query`

#### getStoredQueryPath

    public String getStoredQueryPath()
                              throws javax.jcr.ItemNotFoundException,
                                     javax.jcr.RepositoryException

Specified by:
  `getStoredQueryPath` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.RepositoryException`

#### storeAsNode

    public javax.jcr.Node storeAsNode​(String absPath)
                               throws javax.jcr.ItemExistsException,
                                      javax.jcr.PathNotFoundException,
                                      javax.jcr.version.VersionException,
                                      javax.jcr.nodetype.ConstraintViolationException,
                                      javax.jcr.lock.LockException,
                                      javax.jcr.UnsupportedRepositoryOperationException,
                                      javax.jcr.RepositoryException

Specified by:
  `storeAsNode` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.ItemExistsException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### bindValue

    public void bindValue​(String varName,
                          javax.jcr.Value value)
                   throws IllegalArgumentException,
                          javax.jcr.RepositoryException

Specified by:
  `bindValue` in interface `javax.jcr.query.Query`
Throws:
  `IllegalArgumentException`
  `javax.jcr.RepositoryException`

#### getBindVariableNames

    public String[] getBindVariableNames()
                                  throws javax.jcr.RepositoryException

Specified by:
  `getBindVariableNames` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`